curl --request GET \
--url https://api.qovery.com/environment/{environmentId}/logs \
--header 'Authorization: Bearer <token>'[
{
"type": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"execution_id": "<string>",
"transmitter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>"
},
"stage": {
"step": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
},
"error": {
"tag": "<string>",
"user_log_message": "<string>",
"link": "<string>",
"hint_message": "<string>",
"underlying_error": {
"message": "<string>",
"full_details": "<string>"
}
},
"message": {
"safe_message": "<string>",
"full_details": "<string>"
}
}
]This returns the last 1000 environment deployment logs v2
curl --request GET \
--url https://api.qovery.com/environment/{environmentId}/logs \
--header 'Authorization: Bearer <token>'[
{
"type": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"execution_id": "<string>",
"transmitter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>"
},
"stage": {
"step": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
},
"error": {
"tag": "<string>",
"user_log_message": "<string>",
"link": "<string>",
"hint_message": "<string>",
"underlying_error": {
"message": "<string>",
"full_details": "<string>"
}
},
"message": {
"safe_message": "<string>",
"full_details": "<string>"
}
}
]Documentation Index
Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Environment ID
Was this page helpful?